package org.example.Entity.Control.Base;


import com.fasterxml.jackson.annotation.JsonIgnore;
import org.example.Utils.IPublicUtil;

import java.util.Map;

/**
 * ==============================================================================
 * 功能描述：RowComponent 所有Ext组件的基类,该类值有datarow 提供
 * ==============================================================================
 */
public class RowComponent extends Component {

    @JsonIgnore
    public Map<String, Object> _row;

    public RowComponent(Map<String, Object> row) {
        super();
        this._row = (row);
    }

    public RowComponent(Map<String, Object> row, IPublicUtil util) {
        this(row);
        this.setUtil(util);
    }


}